View Issue Details

IDProjectCategoryView StatusLast Update
05085User patchesOtherpublic2012-06-21 13:23
Reporteruser10291Assigned Tojcleeland  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version1.91RC5 
Target VersionFixed in Version1.91RC5 
Summary05085: Fixes missing closing tags in group preview
Description

Group previews are missing </form> and </div> tags

Steps To Reproduce

preview a group

TagsNo tags attached.
Complete LimeSurvey version number (& build)0

Activities

user10291

2011-04-06 07:11

 

group-closing-tags.patch (608 bytes)
Index: group.php
===================================================================
--- group.php	(revision 9876)
+++ group.php	(working copy)
@@ -1393,12 +1393,13 @@
     if (isset($token) && !empty($token)) {
         echo "\n<input type='hidden' name='token' value='$token' id='token' />\n";
     }
-    echo "</form>\n";
+}
+echo "</form>\n";
 
-    echo templatereplace(file_get_contents("$thistpl/endpage.pstpl"));
+echo templatereplace(file_get_contents("$thistpl/endpage.pstpl"));
 
-    echo "\n";
-}
+echo "\n";
+
 doFooter();
 
 // Closing PHP tag intentionally left out - yes, it is okay       
jcleeland

jcleeland

2011-04-12 08:22

reporter   ~14787

Nicely spotted, thanks!

Issue History

Date Modified Username Field Change
2011-04-06 07:11 user10291 New Issue
2011-04-06 07:11 user10291 File Added: group-closing-tags.patch
2011-04-06 07:50 jcleeland Assigned To => jcleeland
2011-04-06 07:50 jcleeland Status new => assigned
2011-04-12 08:22 jcleeland Note Added: 14787
2011-04-12 08:27 jcleeland Status assigned => resolved
2011-04-12 08:27 jcleeland Fixed in Version => 1.91RC5
2011-04-12 08:27 jcleeland Resolution open => fixed
2012-06-21 13:23 c_schmitz Status resolved => closed